# SPEC file for Simple Calc extension

%define rname	simple_calc
%define version 0.8
%define release alt15
%define cid 	\{b56a2315-019f-4cad-8f9a-4f3e1a61fb70\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

%set_firefox_noarch

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary:	adds a calculator to URL bar

License:	GPL
Group:		Networking/WWW
URL:		https://addons.mozilla.org/extensions/moreinfo.php?id=751&application=firefox
BuildArch:	noarch

Packager:       Nikolay A. Fetisov <naf@altlinux.ru>

Source0:	%rname-%version-fx.xpi
Source1:	%name.chrome.manifest

BuildRequires(pre): rpm-build-firefox
BuildRequires:	unzip
Requires: 	%firefox_name >= 2.0  %firefox_name < 2.1

%description 	
Firefox plugin Simple Calc is a  calculator extension that 
will evaluate simple arithmetic expressions in the url bar 
by using the toolbar  menu-button,  with shortcut  ALT-"." 
(supports +,-,/,*,(,),%%,  and various Math functions such
as  sqrt(x), cos(x),  sin(x), fac(x),  pow(base,exponent),
and many others). 
Uses the javascript  built-in eval function  combined with
the Math object.  Also supports  variables  in expressions
and strings. Examples:
x=4;y=2;x/y, "hello", "34+34", 
document.title="this will change the title of the page"

For a complete list of the built-in javascript math 
functions and constants, visit this site: 
http://www.w3schools.com/js/js_obj_math.asp

%prep
%setup -c

%install
mkdir -p -- %buildroot/%ciddir
cp -r -- * %buildroot/%ciddir
subst 's@1.0+@2.0.0.*@' %buildroot/%ciddir/install.rdf
install -m 0644 --  %SOURCE1 %buildroot/%ciddir/chrome.manifest

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Sat Dec 15 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.8-alt15
- Rebuild for Firefox 2.0.0.11

* Fri Nov 09 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.8-alt14
- Rebuild for Firefox 2.0.0.9

* Fri Oct 26 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.8-alt13
- Rebuild for Firefox 2.0.0.8

* Fri Aug 03 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.8-alt12
- Rebuild for Firefox 2.0.0.6

* Sat Jul 21 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.8-alt11
- Rebuild for Firefox 2.0.0.5

* Thu Jul 05 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.8-alt10
- Rebuild for Firefox 2.0.0.4

* Wed Mar 14 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.8-alt9
- Rebuild for Firefox 2.0.0.2

* Mon Jan 08 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.8-alt8
- Fix valid Firefox version range

* Mon Dec 04 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.8-alt7
- Rebuild for Firefox 2.0
  - removes obsolete macros
  - replace 'set_firefox_noarch' macro with 'BuildArch' tag

* Sun Sep 24 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.8-alt6
- Rebuild for Firefox 1.5.0.7

* Wed Aug 09 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.8-alt5
- Rebuild with Firefox 1.5.0.6

* Sun Jul 23 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.8-alt4
- Adding chrome.manifest

* Thu Jun 15 2006 Alexey Gladkov <legion@altlinux.ru> 0.8-alt3.1.1
- NMU: rebuild with firefox 1.5.0.4

* Mon May 15 2006 Alexey Gladkov <legion@altlinux.ru> 0.8-alt3.1
- NMU: rebuild with firefox 1.5.0.3

* Mon Feb 20 2006 Alexey Gladkov <legion@altlinux.ru> 0.8-alt3
- NMU
- rebuild with firefox 1.5.0.1

* Tue Jan 10 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.8-alt2
- Fix browser version's range to meet Firefox 1.5

* Tue Dec 20 2005 Alexey Gladkov <legion@altlinux.ru> 0.8-alt1.1
- rebuild with firefox-1.5
- spec changes:
  * BuildRequires fix;
  * ghost file added;
  * new macros was used to fix multiarch problem.

* Mon Nov 21 2005 Nikolay A. Fetisov <naf@altlinux.ru> 0.8-alt1
- Initial build for ALTLinux

* Tue Sep 6 2005 Nikolay A. Fetisov <naf@altlinux.ru> 0.8-alt0
- Initial build
